/**
 * 生成 n - m 之间的随机数
 */
export function getRandom(n: number, m: number) {
  return Math.floor(Math.random() * (m - n + 1) + n)
}

/**
 * 生成一个唯一的字符串ID，每次执行结果必定不一样
 */
export function getUid() {
  const random = '0123456789abcdefghijklmnopqrstuvwxyz'
  let str = ''
  for (let i = 0; i < 4; i++) {
    str += random[getRandom(0, 35)]
  }
  return new Date().valueOf() + str
}
